Subject: RE: [Sigtran] M2PA V6: LS Busy

From: "Anatoly Khusid" <[email-masked]>
Date: Thu, 10 Oct 2002 09:44:31 -0500

Howard,

Yu brought an interesting point.  Here is what I think happens, but I could
be wrong.

Per M2PA spec:
>When M2PA detects Local Processor outage, it sends a Link Status message to
its peer with status Processor Outage.  M2PA shall >also cease sending User
Data messages to SCTP for transmission.  M2PA shall stop receiving incoming
messages from SCTP.
>The peer M2PA, upon receiving the Link Status Processor Outage
>message, shall report Remote Processor Outage to its MTP3. The peer
>M2PA ceases sending User Data messages.

It looks like when m2pa sends Local Process outage to the other M2PA peer,
receive congestion should abate because both peers will stop sending
traffic. When this happens, M2PA will send LS Busy Ended, but this will
still not resume traffic due to the pending Local Processor outage
indication.  Only when MTP3 indicates that it's local Processor outage has
ended, the traffic shall resume.

Another thing, I assume your steps 2 &3 happened before T6 expired on the
other m2pa peer.

Thanks

Anatoly

 -----Original Message-----
From: 	May, Howard [mailto:[email-masked]]
Sent:	Thursday, October 10, 2002 8:21 AM
To:	Anatoly Khusid
Subject:	RE: [Sigtran] M2PA V6: LS Busy

Hi there,

Between steps 3 and 4 in the scenario I described M2PA will be generating
both LS Busy and LS Local Processor Outage messages.  I felt this to require
explicit clarification.

Regards

Howard

By the way, your response, as with this message, was not sent to the SIGTRAN
mailing list.  I am not sure whether that was your intention

> -----Original Message-----
> From: Anatoly Khusid [mailto:[email-masked]]
> Sent: 10 October 2002 15:11
> To: May, Howard
> Subject: RE: [Sigtran] M2PA V6: LS Busy
>
>
> I am not sure I understand your question?
>
> LS Busy is sent every time M2PA is in receive congestion,
> when congestion
> abates, M2PA will send LS Busy Ended.
> Local Processor Outage Started or Ended is an indication
> coming from upper
> layer (MTP3), which triggers M2PA to send
> LS Processor Outage or LS Processor Recovered to the other M2PA peer.
>
>
>  -----Original Message-----
> From: 	[email-masked]
> [mailto:[email-masked]]  On Behalf Of
> May, Howard
> Sent:	Thursday, October 10, 2002 4:50 AM
> To:	[email-masked]
> Subject:	RE: [Sigtran] M2PA V6: LS Busy
>
> Hi,
>
> Please can you clarify my understanding of the use of LS Busy
> & LS Processor
> Outage by commenting on the following sequence of events as
> seen by one end
> of an M2PA link.
>
> ***********************
> 1) The M2PA link comes into service.
> ...some time later...
> 2) Receive Congestion is detected
>    Commence periodically sending LS Busy
> 3) Local Processor Outage is detected
>    Commence periodically sending LS Processor Outage
> 4) Receive Congestion abatement is detected
>    Cease periodically sending LS Busy
>    Send LS Busy Ended
> 5) Local Processor Outage cessation detected
>    Cease periodically sending LS Processor Outage
>    Send LS Local Processor Recovered
> ***********************
>
> Thank you
>
> Howard
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
>

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran